# Uses of Class
java.security.PEMDecoder

Packages that use PEMDecoderPREVIEW
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of PEMDecoderPREVIEW in java.security

Methods in java.security that return PEMDecoderPREVIEW
Modifier and Type
Method
Description
`static PEMDecoderPREVIEW`
PEMDecoder.`of()`
Returns the default `PEMDecoder` instance.
`PEMDecoderPREVIEW`
PEMDecoder.`withDecryption(char[] password)`
Returns a copy of this `PEMDecoder` that decodes and decrypts encrypted private keys using the specified password.
`PEMDecoderPREVIEW`
PEMDecoder.`withFactoriesOf(Provider provider)`
Returns a copy of this `PEMDecoder` instance that uses `KeyFactory` and `CertificateFactory` implementations from the specified `Provider` to produce cryptographic objects.